# POST /event-schedules/preview-cron

**Resource:** [Auto Schedules](./auto-schedules.md)  
**MCP tool:** `preview_auto_schedule_cron`  
**Scopes:** `schedules:read`  
**Write operation:** no

Validate a cron expression and return the next N firing times.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `cron_expression` | body | string | yes |  |
| `timezone` | body | string | no |  |
| `n` | body | number | no |  |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/event-schedules/preview-cron"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"cron_expression":"...","timezone":"...","n":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`